#!/bin/sh
#
# /////////////////////////////////////////////////////////////////////////////
# //                   PROPRIETARY RIGHTS STATEMENT
# // The contents of this file represent confidential information that is the
# // proprietary property of SilverStream Software, LLC.  Viewing or use of
# // this information is prohibited without the express written consent of
# // SilverStream Software, Inc. Removal of this PROPRIETARY RIGHTS STATEMENT
# // is strictly forbidden. Copyright (c) 1999, 2002 All rights reserved.
# /////////////////////////////////////////////////////////////////////////////

# Param1-jar to patch
# Param2-jar to patch from
# Param3-backup jar name

# --
# --  eXtend Composer Patch utility
# --

echo "Applying patch ..."

# --
# -- Change directory and patch SSSW jar in place
# --

cd ../lib

if [ -f $1 ]
then
   echo "Patching" $1
   java -classpath ../patches/GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility $1 ../patches/$2

   if [ -f $1.backup ]
   then
      mv $1.backup ../patches/$3
   fi
fi

cd ../patches